{% extends "base.html" %}

{% load static %}

{% block title %}AdopsiPet Login{% endblock %}

{% block styles %}{% endblock %}

{% block content %}
<div class="container my-4">
    <div class="row">
        <div class="col-md-6">
            <form action="/register/" method="POST">
                <h2 class="text-center pb-2">Register</h2>
                {% csrf_token %}
                <div class="form-group">
                    <label for="inputUsername">Username</label>
                    <input type="text" name="username" class="form-control" id="inputUsername" aria-describedby="usernameHelp" placeholder="Enter username">
                </div>
                <div class="form-group">
                    <label for="inputEmail">Email</label>
                    <input type="email" name="email" class="form-control" id="inputEmail" aria-describedby="emailHelp" placeholder="Enter email">
                </div>
                <div class="form-group">
                    <label for="inputFirstName">First Name</label>
                    <input type="text" name="first_name" class="form-control" id="inputFirstName" aria-describedby="firstnameHelp" placeholder="Enter first name">
                </div>
                <div class="form-group">
                    <label for="inputLastName">Last Name</label>
                    <input type="text" name="last_name" class="form-control" id="inputLastName" aria-describedby="lastnameHelp" placeholder="Enter last name">
                </div>
                <div class="form-group">
                    <label for="inputPassword">Password</label>
                    <input type="password" name="password" class="form-control" id="inputPassword" aria-describedby="passwordHelp" placeholder="Password">
                </div>
                <div class="form-group">
                    <label for="inputRepeatPassword">Repeat Password</label>
                    <input type="password" name="repeat_password" class="form-control" id="inputRepeatPassword" aria-describedby="repeatpasswordHelp" placeholder="Repeat Password">
                </div>
                <button type="submit" class="btn btn-primary">Register</button>
            </form>
        </div>
        <div class="col-md-6">
            <div class="login-box">
                <h2 class="text-center pb-2">Login</h2>
                {% if failed %}
                <div class="alert alert-danger mb-2" role="alert">
                    Wrong username/password
                </div>
                {% endif %}
                {% if needlogin %}
                <div class="alert alert-warning mb-2" role="alert">
                    You need to log in first
                </div>
                {% endif %}
                {% if loggedout %}
                <div class="alert alert-success mb-2" role="alert">
                    Logout successful
                </div>
                {% endif %}
                <form action="/login/" method="POST">
                    {% csrf_token %}
                    <div class="form-group">
                        <label for="inputUsername">Username</label>
                        <input type="text" name="username" class="form-control" id="inputUsername" aria-describedby="usernameHelp" placeholder="Enter username">
                    </div>
                    <div class="form-group">
                        <label for="inputPassword">Password</label>
                        <input type="password" name="password" class="form-control" id="inputPassword" aria-describedby="passwordHelp" placeholder="Password">
                    </div>
                    <button type="submit" class="btn btn-primary">Login</button>
                </form>
            </div>
        </div>
    </div>
</div>
{% endblock %}
